% The result file should contains following feild
% allTestImgIds: Nx1 array of testing image's id in "alltest" for each box
% allBb3dtight : Nx1 cell 3D bounding box strcture 
clear all
toolboxpath = '/n/fs/modelnet/SUN3DV2/SUNRGBDtoolbox';
addpath(genpath(toolboxpath));


load('./exampleresult/chair_demo.mat','allTestImgIds','allBb3dtight')
className ='chair';
split = load(fullfile(toolboxpath,'/traintestSUNRGBD/allsplit.mat'));
testset_path = split.alltest;    

[groundTruthBbs,all_sequenceName] = benchmark_groundtruth(className,fullfile(toolboxpath,'Metadata/'),testset_path);
[apScore,precision,recall,isTp,isFp,isMissed,gtAssignment,maxOverlaps] = computePRCurve3D(className,allBb3dtight,allTestImgIds,groundTruthBbs,zeros(length(groundTruthBbs),1));
result_all = struct('apScore',apScore,'precision',precision,'recall',recall,'isTp',isTp,'isFp',isFp,'isMissed',isMissed,'gtAssignment',gtAssignment);

figure,
plot(recall,precision)
title(className)